%define upstream_name    Dist-Zilla-PluginBundle-Author-Plicease
%define upstream_version 2.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dist::Zilla plugin bundle used by Plicease
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Dist::Zilla) >= 5.36.0
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::App::Command::aliendeps) >= 0.10.0
BuildRequires: perl(Dist::Zilla::Plugin::Alien) >= 0.23.0
BuildRequires: perl(Dist::Zilla::Plugin::Author::Plicease) >= 2.40.0
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources) >= 1.200.0
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild) >= 0.150.250
BuildRequires: perl(Dist::Zilla::Plugin::InsertExample) >= 0.40.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide) >= 1.200.6
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion::Block)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 4.6.0
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.150.250
BuildRequires: perl(Dist::Zilla::Plugin::Run::BeforeBuild) >= 0.35.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Util::CurrentCmd)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IPC::System::Simple) >= 1.250.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class) >= 0.310.0
BuildRequires: perl(PerlX::Maybe) >= 0.3.0
BuildRequires: perl(Pod::Markdown) >= 1.400.0
BuildRequires: perl(Test::Dir)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::Fixme) >= 0.140.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Pod) >= 1.480.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.100.0
BuildRequires: perl(Test::Script) >= 1.100.0
BuildRequires: perl(Test::Version) >= 2.0.0
BuildRequires: perl(YAML) >= 1.150.0
BuildArch:  noarch

%description
This is the Dist::Zilla plugin bundle used by Plicease.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon May 09 2016 shlomif <shlomif> 2.40.0-1.mga6
+ Revision: 1011250
- update to 2.04

* Sat Apr 09 2016 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 999851
- New version 2.00

* Sat Jan 16 2016 shlomif <shlomif> 1.950.0-1.mga6
+ Revision: 923555
- New version 1.95

* Thu Dec 17 2015 shlomif <shlomif> 1.930.0-1.mga6
+ Revision: 911339
- New version 1.93

* Sat Aug 01 2015 sander85 <sander85> 1.840.0-1.mga6
+ Revision: 860323
- update to 1.84

* Thu Jul 23 2015 sander85 <sander85> 1.830.0-1.mga6
+ Revision: 856472
- update to 1.83

* Wed Jul 15 2015 sander85 <sander85> 1.820.0-1.mga6
+ Revision: 854346
- update to 1.82

* Tue Jul 14 2015 sander85 <sander85> 1.810.0-1.mga6
+ Revision: 854113
- update to 1.81

* Wed Oct 15 2014 umeabot <umeabot> 1.540.0-3.mga5
+ Revision: 741995
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 sander85 <sander85> 1.540.0-1.mga5
+ Revision: 658984
- update to 1.54

* Mon Jul 07 2014 sander85 <sander85> 1.530.0-1.mga5
+ Revision: 650436
- update to 1.53

* Sat Jun 21 2014 sander85 <sander85> 1.520.0-1.mga5
+ Revision: 638364
- update to 1.52

* Sat Jun 14 2014 sander85 <sander85> 1.510.0-1.mga5
+ Revision: 636165
- update to 1.51

* Tue Jun 10 2014 sander85 <sander85> 1.500.0-1.mga5
+ Revision: 635471
- update to 1.50

* Thu May 22 2014 sander85 <sander85> 1.490.0-1.mga5
+ Revision: 624990
- update to 1.49

  + shlomif <shlomif>
    - Update the description

* Mon May 12 2014 shlomif <shlomif> 1.480.0-1.mga5
+ Revision: 622153
- Missing BRs
- imported package perl-Dist-Zilla-PluginBundle-Author-Plicease

